comparison configure @ 4328:dfd878799ef0

Autoconfiscate the recent fontconfig spelling change. ChangeLog addition: 2007-12-12 Aidan Kehoe <kehoea@parhasard.net> * configure.ac : Check for FcConfigGetRescanInterval, FcConfigSetRescanInterval. * configure : Rebuild. src/ChangeLog additon: 2007-12-12 Aidan Kehoe <kehoea@parhasard.net> * config.h.in: Make the results of the checks for FcConfigGetRescanInterval, FcConfigSetRescanInterval available. * font-mgr.h: If FcConfigSetRescanInterval and FcConfigGetRescanInterval are not available as functions, #define them to map to their old misspelled names. * font-mgr.c (Ffc_config_get_rescan_interval): * font-mgr.c (Ffc_config_set_rescan_interval): Use the correct spelling in FcConfigGetRescanInterval, FcConfigSetRescanInterval
author Aidan Kehoe <kehoea@parhasard.net>
date Fri, 14 Dec 2007 14:25:04 +0100
parents 80b3f12490a3
children 50889296c05c
comparison
equal deleted inserted replaced
4327:466ad8ad5f13 4328:dfd878799ef0
20121 libs_x="-lXft $libs_x" && if test "$verbose" = "yes"; then echo " Prepending \"-lXft\" to \$libs_x"; fi 20121 libs_x="-lXft $libs_x" && if test "$verbose" = "yes"; then echo " Prepending \"-lXft\" to \$libs_x"; fi
20122 else 20122 else
20123 { echo "Error:" "Unable to find libXft for --with-xft" >&2; exit 1; } 20123 { echo "Error:" "Unable to find libXft for --with-xft" >&2; exit 1; }
20124 fi 20124 fi
20125 20125
20126
20127
20128 for ac_func in FcConfigGetRescanInterval
20129 do
20130 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
20131 { echo "$as_me:$LINENO: checking for $ac_func" >&5
20132 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
20133 if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
20134 echo $ECHO_N "(cached) $ECHO_C" >&6
20135 else
20136 cat >conftest.$ac_ext <<_ACEOF
20137 /* confdefs.h. */
20138 _ACEOF
20139 cat confdefs.h >>conftest.$ac_ext
20140 cat >>conftest.$ac_ext <<_ACEOF
20141 /* end confdefs.h. */
20142 /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
20143 For example, HP-UX 11i <limits.h> declares gettimeofday. */
20144 #define $ac_func innocuous_$ac_func
20145
20146 /* System header to define __stub macros and hopefully few prototypes,
20147 which can conflict with char $ac_func (); below.
20148 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
20149 <limits.h> exists even on freestanding compilers. */
20150
20151 #ifdef __STDC__
20152 # include <limits.h>
20153 #else
20154 # include <assert.h>
20155 #endif
20156
20157 #undef $ac_func
20158
20159 /* Override any GCC internal prototype to avoid an error.
20160 Use char because int might match the return type of a GCC
20161 builtin and then its argument prototype would still apply. */
20162 #ifdef __cplusplus
20163 extern "C"
20164 #endif
20165 char $ac_func ();
20166 /* The GNU C library defines this for functions which it implements
20167 to always fail with ENOSYS. Some functions are actually named
20168 something starting with __ and the normal name is an alias. */
20169 #if defined __stub_$ac_func || defined __stub___$ac_func
20170 choke me
20171 #endif
20172
20173 int
20174 main ()
20175 {
20176 return $ac_func ();
20177 ;
20178 return 0;
20179 }
20180 _ACEOF
20181 rm -f conftest.$ac_objext conftest$ac_exeext
20182 if { (ac_try="$ac_link"
20183 case "(($ac_try" in
20184 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20185 *) ac_try_echo=$ac_try;;
20186 esac
20187 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20188 (eval "$ac_link") 2>conftest.er1
20189 ac_status=$?
20190 grep -v '^ *+' conftest.er1 >conftest.err
20191 rm -f conftest.er1
20192 cat conftest.err >&5
20193 echo "$as_me:$LINENO: \$? = $ac_status" >&5
20194 (exit $ac_status); } && {
20195 test -z "$ac_c_werror_flag" ||
20196 test ! -s conftest.err
20197 } && test -s conftest$ac_exeext &&
20198 $as_test_x conftest$ac_exeext; then
20199 eval "$as_ac_var=yes"
20200 else
20201 echo "$as_me: failed program was:" >&5
20202 sed 's/^/| /' conftest.$ac_ext >&5
20203
20204 eval "$as_ac_var=no"
20205 fi
20206
20207 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
20208 conftest$ac_exeext conftest.$ac_ext
20209 fi
20210 ac_res=`eval echo '${'$as_ac_var'}'`
20211 { echo "$as_me:$LINENO: result: $ac_res" >&5
20212 echo "${ECHO_T}$ac_res" >&6; }
20213 if test `eval echo '${'$as_ac_var'}'` = yes; then
20214 cat >>confdefs.h <<_ACEOF
20215 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
20216 _ACEOF
20217
20218 fi
20219 done
20220
20221
20222 for ac_func in FcConfigSetRescanInterval
20223 do
20224 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
20225 { echo "$as_me:$LINENO: checking for $ac_func" >&5
20226 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
20227 if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
20228 echo $ECHO_N "(cached) $ECHO_C" >&6
20229 else
20230 cat >conftest.$ac_ext <<_ACEOF
20231 /* confdefs.h. */
20232 _ACEOF
20233 cat confdefs.h >>conftest.$ac_ext
20234 cat >>conftest.$ac_ext <<_ACEOF
20235 /* end confdefs.h. */
20236 /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
20237 For example, HP-UX 11i <limits.h> declares gettimeofday. */
20238 #define $ac_func innocuous_$ac_func
20239
20240 /* System header to define __stub macros and hopefully few prototypes,
20241 which can conflict with char $ac_func (); below.
20242 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
20243 <limits.h> exists even on freestanding compilers. */
20244
20245 #ifdef __STDC__
20246 # include <limits.h>
20247 #else
20248 # include <assert.h>
20249 #endif
20250
20251 #undef $ac_func
20252
20253 /* Override any GCC internal prototype to avoid an error.
20254 Use char because int might match the return type of a GCC
20255 builtin and then its argument prototype would still apply. */
20256 #ifdef __cplusplus
20257 extern "C"
20258 #endif
20259 char $ac_func ();
20260 /* The GNU C library defines this for functions which it implements
20261 to always fail with ENOSYS. Some functions are actually named
20262 something starting with __ and the normal name is an alias. */
20263 #if defined __stub_$ac_func || defined __stub___$ac_func
20264 choke me
20265 #endif
20266
20267 int
20268 main ()
20269 {
20270 return $ac_func ();
20271 ;
20272 return 0;
20273 }
20274 _ACEOF
20275 rm -f conftest.$ac_objext conftest$ac_exeext
20276 if { (ac_try="$ac_link"
20277 case "(($ac_try" in
20278 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20279 *) ac_try_echo=$ac_try;;
20280 esac
20281 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20282 (eval "$ac_link") 2>conftest.er1
20283 ac_status=$?
20284 grep -v '^ *+' conftest.er1 >conftest.err
20285 rm -f conftest.er1
20286 cat conftest.err >&5
20287 echo "$as_me:$LINENO: \$? = $ac_status" >&5
20288 (exit $ac_status); } && {
20289 test -z "$ac_c_werror_flag" ||
20290 test ! -s conftest.err
20291 } && test -s conftest$ac_exeext &&
20292 $as_test_x conftest$ac_exeext; then
20293 eval "$as_ac_var=yes"
20294 else
20295 echo "$as_me: failed program was:" >&5
20296 sed 's/^/| /' conftest.$ac_ext >&5
20297
20298 eval "$as_ac_var=no"
20299 fi
20300
20301 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
20302 conftest$ac_exeext conftest.$ac_ext
20303 fi
20304 ac_res=`eval echo '${'$as_ac_var'}'`
20305 { echo "$as_me:$LINENO: result: $ac_res" >&5
20306 echo "${ECHO_T}$ac_res" >&6; }
20307 if test `eval echo '${'$as_ac_var'}'` = yes; then
20308 cat >>confdefs.h <<_ACEOF
20309 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
20310 _ACEOF
20311
20312 fi
20313 done
20314
20126 with_fontconfig=yes 20315 with_fontconfig=yes
20127 cat >>confdefs.h <<\_ACEOF 20316 cat >>confdefs.h <<\_ACEOF
20128 #define HAVE_FONTCONFIG 1 20317 #define HAVE_FONTCONFIG 1
20129 _ACEOF 20318 _ACEOF
20130 20319